#include <windows.h>

#include "ScriptInterpreter.h"
#include "ScriptValue.h"
#include "ScriptError.h"
// ********************************************************************
// *** VirtualDubMod												***
// *** Cyrius, March 2003											***
// BEGIN **************************************************************
#include <stdio.h>

static void func_Sylia_dprint(IScriptInterpreter *, CScriptObject *, CScriptValue *argv, int argc) {
	char lbuf[12];

	while(argc--) {
		if (argv->isInt()) {
			wsprintf(lbuf, "%ld", argv->asInt());
			OutputDebugString(lbuf);
			printf(lbuf);
		} else if (argv->isString()) {
			OutputDebugString(*argv->asString());
			printf(*argv->asString());
		} else
			SCRIPT_ERROR(TYPE_INT_REQUIRED);

		++argv;
	}
}
// END ****************************************************************

static ScriptFunctionDef objFL_Sylia[]={
	{ (ScriptFunctionPtr)func_Sylia_dprint, "dprint", "0." },
	{ NULL }
};

CScriptObject obj_Sylia={
	NULL,
	objFL_Sylia
};