/*
 * Copyright (c) 2002 Milan Cutka
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// ************************************************************************
// *** Wrapper for dynamically loading Glu32.dll						***
// *** Tobias Minich, May 2003											***
// ************************************************************************


#include "stdafx.h"
#include "CGlu32.h"
#include "Tdll.h"

using namespace std;

CGlu32::CGlu32() : Tdll("Glu32.dll", NULL)
{
	loadFunction((void**)&gluBuild2DMipmaps,"gluBuild2DMipmaps");
	loadFunction((void**)&gluPerspective,"gluPerspective");
	loadFunction((void**)&gluLookAt,"gluLookAt");
}


CGlu32::~CGlu32()
{

}

