// ************************************************************************
// *** Wrapper for dynamically loading Glu32.dll						***
// *** Tobias Minich, May 2003											***
// ************************************************************************


#ifndef _CGLU32_H_
#define _CGLU32_H_

#include <gl/gl.h>
#include <gl/glu.h>
#include "Tdll.h"

class CGlu32 : public Tdll {
	private:
	protected:
	public:
		int (APIENTRY *gluBuild2DMipmaps) (
			GLenum      target, 
			GLint       components, 
			GLint       width, 
			GLint       height, 
			GLenum      format, 
			GLenum      type, 
			const void  *data);
		void (APIENTRY *gluPerspective) (
			GLdouble fovy, 
			GLdouble aspect, 
			GLdouble zNear, 
			GLdouble zFar);
		void (APIENTRY *gluLookAt) (
			GLdouble eyex, 
			GLdouble eyey, 
			GLdouble eyez, 
			GLdouble centerx, 
			GLdouble centery, 
			GLdouble centerz, 
			GLdouble upx, 
			GLdouble upy, 
			GLdouble upz);

		CGlu32();
		virtual ~CGlu32();

/*		CGlu32* operator->()
		{
			return this;
		}*/
};

#endif
