//	VirtualDubMod - Video processing and capture application based on VirtualDub by Avery Lee
//	Copyright (C) 1998-2003 VirtualDubMod Developers
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef __MODAUDIO_H__
#define __MODAUDIO_H__

#include "Audio.h"
#include "FrameSubset.h"

class VDFraction;

class ModAudioSubset : public AudioSubset {
protected:
	bool m_bText;
public:
	ModAudioSubset(AudioStream *, FrameSubset *, const VDFraction& frameRate, sint64 preskew, bool isText=false, ModDubStream *pDubStream=NULL);
	long _Read(void *, long, long *);
};


#endif // __MODAUDIO_H__