//	VirtualDubMod - Video processing and capture application based on VirtualDub by Avery Lee
//	Copyright (C) 1998-2003 VirtualDubMod Developers
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include "stdafx.h"

#include "OggComments.h"


bool GetOggCommentType(const wchar_t *tag, eCommentType& type) {
	int i=0;
	while( (s_OggCommentTypesTable[i].m_Type!=cVoid) || s_OggCommentTypesTable[i].m_Tag) {
		if(!wcsicmp(s_OggCommentTypesTable[i].m_Tag, tag)) {
			type = s_OggCommentTypesTable[i].m_Type;
			return true;
		}
		i++;
	}
	return false;
}

const wchar_t *GetOggCommentTag(eCommentType type) {
	int i=0;
	if(type > cLanguage)
		type = cLanguage;
	while( (s_OggCommentTypesTable[i].m_Type!=cVoid) || s_OggCommentTypesTable[i].m_Tag) {
		if(s_OggCommentTypesTable[i].m_Type == type)
			return s_OggCommentTypesTable[i].m_Tag;
		i++;
	}
	return NULL;
}
