#ifndef f_MPEG_ASM_H
#define f_MPEG_ASM_H

// Assembly language routines for mpeg_decode.cpp, by fccHandler

extern "C" {
	void mmx_IDCT(void *blk);
	void sse_IDCT(void *blk);
	void mmx_Add_Block(void *blk, void *dst, int pitch, int addflag);
	void mmx_form_component_prediction(void *src, void *dst, int lx, int w, int h, int x, int y, int dx, int dy, int avg);

	void mmx_conv420to422(void *src, void *dst, int nWidth, int nHeight, bool progressive);
	void mmx_conv422to444(void *src, void *dst, int nWidth, int nHeight, int mpeg2);
	void mmx_conv422toYUY2(void *scrY, void *srcU, void *srcV, void *dst, int w, int h);
	void mmx_conv422toUYVY(void *scrY, void *srcU, void *srcV, void *dst, int w, int h);
}

#endif	// f_MPEG_ASM_H
