//	VirtualDubMod - Video processing and capture application based on VirtualDub by Avery Lee
//	Copyright (C) 1998-2003 VirtualDubMod Developers
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//
// Taken from http://lcweb.loc.gov/standards/iso639-2/englangn.html
//

DEFINE_LANGUAGE_CODE (L"Abkhazian", L"abk", L"ab")
DEFINE_LANGUAGE_CODE (L"Achinese", L"ace", NULL)
DEFINE_LANGUAGE_CODE (L"Acoli", L"ach", NULL)
DEFINE_LANGUAGE_CODE (L"Adangme", L"ada", NULL)
DEFINE_LANGUAGE_CODE (L"Afar", L"aar", L"aa")
DEFINE_LANGUAGE_CODE (L"Afrihili", L"afh", NULL)
DEFINE_LANGUAGE_CODE (L"Afrikaans", L"afr", L"af")
DEFINE_LANGUAGE_CODE (L"Afro-Asiatic (Other)", L"afa", NULL)
DEFINE_LANGUAGE_CODE (L"Akan", L"aka", L"ak")
DEFINE_LANGUAGE_CODE (L"Akkadian", L"akk", NULL)
DEFINE_LANGUAGE_CODE (L"Albanian", L"alb", L"sq")
DEFINE_LANGUAGE_CODE (NULL, L"sqi", L"sq")
DEFINE_LANGUAGE_CODE (L"Aleut", L"ale", NULL)
DEFINE_LANGUAGE_CODE (L"Algonquian languages", L"alg", NULL)
DEFINE_LANGUAGE_CODE (L"Altaic (Other)", L"tut", NULL)
DEFINE_LANGUAGE_CODE (L"Amharic", L"amh", L"am")
DEFINE_LANGUAGE_CODE (L"Apache languages", L"apa", NULL)
DEFINE_LANGUAGE_CODE (L"Arabic", L"ara", L"ar")
DEFINE_LANGUAGE_CODE (L"Aragonese", L"arg", L"an")
DEFINE_LANGUAGE_CODE (L"Aramaic", L"arc", NULL)
DEFINE_LANGUAGE_CODE (L"Arapaho", L"arp", NULL)
DEFINE_LANGUAGE_CODE (L"Araucanian", L"arn", NULL)
DEFINE_LANGUAGE_CODE (L"Arawak", L"arw", NULL)
DEFINE_LANGUAGE_CODE (L"Armenian", L"arm", L"hy")
DEFINE_LANGUAGE_CODE (NULL, L"hye", L"hy")
DEFINE_LANGUAGE_CODE (L"Artificial (Other)", L"art", NULL)
DEFINE_LANGUAGE_CODE (L"Assamese", L"asm", L"as")
DEFINE_LANGUAGE_CODE (L"Asturian; Bable", L"ast", NULL)
DEFINE_LANGUAGE_CODE (L"Athapascan languages", L"ath", NULL)
DEFINE_LANGUAGE_CODE (L"Australian languages", L"aus", NULL)
DEFINE_LANGUAGE_CODE (L"Austronesian (Other)", L"map", NULL)
DEFINE_LANGUAGE_CODE (L"Avaric", L"ava", L"av")
DEFINE_LANGUAGE_CODE (L"Avestan", L"ave", L"ae")
DEFINE_LANGUAGE_CODE (L"Awadhi", L"awa", NULL)
DEFINE_LANGUAGE_CODE (L"Aymara", L"aym", L"ay")
DEFINE_LANGUAGE_CODE (L"Azerbaijani", L"aze", L"az")
DEFINE_LANGUAGE_CODE (L"Bable; Asturian", L"ast", NULL)
DEFINE_LANGUAGE_CODE (L"Balinese", L"ban", NULL)
DEFINE_LANGUAGE_CODE (L"Baltic (Other)", L"bat", NULL)
DEFINE_LANGUAGE_CODE (L"Baluchi", L"bal", NULL)
DEFINE_LANGUAGE_CODE (L"Bambara", L"bam", L"bm")
DEFINE_LANGUAGE_CODE (L"Bamileke languages", L"bai", NULL)
DEFINE_LANGUAGE_CODE (L"Banda", L"bad", NULL)
DEFINE_LANGUAGE_CODE (L"Bantu (Other)", L"bnt", NULL)
DEFINE_LANGUAGE_CODE (L"Basa", L"bas", NULL)
DEFINE_LANGUAGE_CODE (L"Bashkir", L"bak", L"ba")
DEFINE_LANGUAGE_CODE (L"Basque", L"baq", L"eu")
DEFINE_LANGUAGE_CODE (NULL, L"eus", L"eu")
DEFINE_LANGUAGE_CODE (L"Batak (Indonesia)", L"btk", NULL)
DEFINE_LANGUAGE_CODE (L"Beja", L"bej", NULL)
DEFINE_LANGUAGE_CODE (L"Belarusian", L"bel", L"be")
DEFINE_LANGUAGE_CODE (L"Bemba", L"bem", NULL)
DEFINE_LANGUAGE_CODE (L"Bengali", L"ben", L"bn")
DEFINE_LANGUAGE_CODE (L"Berber (Other)", L"ber", NULL)
DEFINE_LANGUAGE_CODE (L"Bhojpuri", L"bho", NULL)
DEFINE_LANGUAGE_CODE (L"Bihari", L"bih", L"bh")
DEFINE_LANGUAGE_CODE (L"Bikol", L"bik", NULL)
DEFINE_LANGUAGE_CODE (L"Bini", L"bin", NULL)
DEFINE_LANGUAGE_CODE (L"Bislama", L"bis", L"bi")
DEFINE_LANGUAGE_CODE (L"Bokml, Norwegian; Norwegian Bokml", L"nob", L"nb")
DEFINE_LANGUAGE_CODE (L"Bosnian", L"bos", L"bs")
DEFINE_LANGUAGE_CODE (L"Braj", L"bra", NULL)
DEFINE_LANGUAGE_CODE (L"Breton", L"bre", L"br")
DEFINE_LANGUAGE_CODE (L"Buginese", L"bug", NULL)
DEFINE_LANGUAGE_CODE (L"Bulgarian", L"bul", L"bg")
DEFINE_LANGUAGE_CODE (L"Buriat", L"bua", NULL)
DEFINE_LANGUAGE_CODE (L"Burmese", L"bur", L"my")
DEFINE_LANGUAGE_CODE (NULL, L"mya", L"my")
DEFINE_LANGUAGE_CODE (L"Caddo", L"cad", NULL)
DEFINE_LANGUAGE_CODE (L"Carib", L"car", NULL)
DEFINE_LANGUAGE_CODE (L"Castilian; Spanish", L"spa", L"es")
DEFINE_LANGUAGE_CODE (L"Catalan", L"cat", L"ca")
DEFINE_LANGUAGE_CODE (L"Caucasian (Other)", L"cau", NULL)
DEFINE_LANGUAGE_CODE (L"Cebuano", L"ceb", NULL)
DEFINE_LANGUAGE_CODE (L"Celtic (Other)", L"cel", NULL)
DEFINE_LANGUAGE_CODE (L"Central American Indian (Other)", L"cai", NULL)
DEFINE_LANGUAGE_CODE (L"Chagatai", L"chg", NULL)
DEFINE_LANGUAGE_CODE (L"Chamic languages", L"cmc", NULL)
DEFINE_LANGUAGE_CODE (L"Chamorro", L"cha", L"ch")
DEFINE_LANGUAGE_CODE (L"Chechen", L"che", L"ce")
DEFINE_LANGUAGE_CODE (L"Cherokee", L"chr", NULL)
DEFINE_LANGUAGE_CODE (L"Chewa; Chichewa; Nyanja", L"nya", L"ny")
DEFINE_LANGUAGE_CODE (L"Cheyenne", L"chy", NULL)
DEFINE_LANGUAGE_CODE (L"Chibcha", L"chb", NULL)
DEFINE_LANGUAGE_CODE (L"Chichewa; Chewa; Nyanja", L"nya", L"ny")
DEFINE_LANGUAGE_CODE (L"Chinese", L"chi", L"zh")
DEFINE_LANGUAGE_CODE (NULL, L"zho", L"zh")
DEFINE_LANGUAGE_CODE (L"Chinook jargon", L"chn", NULL)
DEFINE_LANGUAGE_CODE (L"Chipewyan", L"chp", NULL)
DEFINE_LANGUAGE_CODE (L"Choctaw", L"cho", NULL)
DEFINE_LANGUAGE_CODE (L"Chuang; Zhuang", L"zha", L"za")
DEFINE_LANGUAGE_CODE (L"Church Slavic; Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic", L"chu", L"cu")
DEFINE_LANGUAGE_CODE (L"Church Slavonic; Church Slavic; Old Slavonic; Old Bulgarian; Old Church Slavonic", L"chu", L"cu")
DEFINE_LANGUAGE_CODE (L"Chuukese", L"chk", NULL)
DEFINE_LANGUAGE_CODE (L"Chuvash", L"chv", L"cv")
DEFINE_LANGUAGE_CODE (L"Coptic", L"cop", NULL)
DEFINE_LANGUAGE_CODE (L"Cornish", L"cor", L"kw")
DEFINE_LANGUAGE_CODE (L"Corsican", L"cos", L"co")
DEFINE_LANGUAGE_CODE (L"Cree", L"cre", L"cr")
DEFINE_LANGUAGE_CODE (L"Creek", L"mus", NULL)
DEFINE_LANGUAGE_CODE (L"Creoles and pidgins (Other)", L"crp", NULL)
DEFINE_LANGUAGE_CODE (L"Creoles and pidgins, English-based (Other)", L"cpe", NULL)
DEFINE_LANGUAGE_CODE (L"Creoles and pidgins, French-based (Other)", L"cpf", NULL)
DEFINE_LANGUAGE_CODE (L"Creoles and pidgins, Portuguese-based (Other)", L"cpp", NULL)
DEFINE_LANGUAGE_CODE (L"Croatian", L"scr", L"hr")
DEFINE_LANGUAGE_CODE (NULL, L"hrv", L"hr")
DEFINE_LANGUAGE_CODE (L"Cushitic (Other)", L"cus", NULL)
DEFINE_LANGUAGE_CODE (L"Czech", L"cze", L"cs")
DEFINE_LANGUAGE_CODE (NULL, L"ces", L"cs")
DEFINE_LANGUAGE_CODE (L"Dakota", L"dak", NULL)
DEFINE_LANGUAGE_CODE (L"Danish", L"dan", L"da")
DEFINE_LANGUAGE_CODE (L"Dargwa", L"dar", NULL)
DEFINE_LANGUAGE_CODE (L"Dayak", L"day", NULL)
DEFINE_LANGUAGE_CODE (L"Delaware", L"del", NULL)
DEFINE_LANGUAGE_CODE (L"Dinka", L"din", NULL)
DEFINE_LANGUAGE_CODE (L"Divehi", L"div", L"dv")
DEFINE_LANGUAGE_CODE (L"Dogri", L"doi", NULL)
DEFINE_LANGUAGE_CODE (L"Dogrib", L"dgr", NULL)
DEFINE_LANGUAGE_CODE (L"Dravidian (Other)", L"dra", NULL)
DEFINE_LANGUAGE_CODE (L"Duala", L"dua", NULL)
DEFINE_LANGUAGE_CODE (L"Dutch; Flemish", L"dut", L"nl")
DEFINE_LANGUAGE_CODE (NULL, L"nld", L"nl")
DEFINE_LANGUAGE_CODE (L"Dutch, Middle (ca. 1050-1350)", L"dum", NULL)
DEFINE_LANGUAGE_CODE (L"Dyula", L"dyu", NULL)
DEFINE_LANGUAGE_CODE (L"Dzongkha", L"dzo", L"dz")
DEFINE_LANGUAGE_CODE (L"Efik", L"efi", NULL)
DEFINE_LANGUAGE_CODE (L"Egyptian (Ancient)", L"egy", NULL)
DEFINE_LANGUAGE_CODE (L"Ekajuk", L"eka", NULL)
DEFINE_LANGUAGE_CODE (L"Elamite", L"elx", NULL)
DEFINE_LANGUAGE_CODE (L"English", L"eng", L"en")
DEFINE_LANGUAGE_CODE (L"English, Middle (1100-1500)", L"enm", NULL)
DEFINE_LANGUAGE_CODE (L"English, Old (ca.450-1100)", L"ang", NULL)
DEFINE_LANGUAGE_CODE (L"Esperanto", L"epo", L"eo")
DEFINE_LANGUAGE_CODE (L"Estonian", L"est", L"et")
DEFINE_LANGUAGE_CODE (L"Ewe", L"ewe", L"ee")
DEFINE_LANGUAGE_CODE (L"Ewondo", L"ewo", NULL)
DEFINE_LANGUAGE_CODE (L"Fang", L"fan", NULL)
DEFINE_LANGUAGE_CODE (L"Fanti", L"fat", NULL)
DEFINE_LANGUAGE_CODE (L"Faroese", L"fao", L"fo")
DEFINE_LANGUAGE_CODE (L"Fijian", L"fij", L"fj")
DEFINE_LANGUAGE_CODE (L"Finnish", L"fin", L"fi")
DEFINE_LANGUAGE_CODE (L"Finno-Ugrian (Other)", L"fiu", NULL)
DEFINE_LANGUAGE_CODE (L"Flemish; Dutch", L"dut", L"nl")
DEFINE_LANGUAGE_CODE (NULL, L"nld", L"nl")
DEFINE_LANGUAGE_CODE (L"Fon", L"fon", NULL)
DEFINE_LANGUAGE_CODE (L"French", L"fre", L"fr")
DEFINE_LANGUAGE_CODE (NULL, L"fra", L"fr")
DEFINE_LANGUAGE_CODE (L"French, Middle (ca.1400-1600)", L"frm", NULL)
DEFINE_LANGUAGE_CODE (L"French, Old (842-ca.1400)", L"fro", NULL)
DEFINE_LANGUAGE_CODE (L"Frisian", L"fry", L"fy")
DEFINE_LANGUAGE_CODE (L"Friulian", L"fur", NULL)
DEFINE_LANGUAGE_CODE (L"Fulah", L"ful", L"ff")
DEFINE_LANGUAGE_CODE (L"Ga", L"gaa", NULL)
DEFINE_LANGUAGE_CODE (L"Gaelic; Scottish Gaelic", L"gla", L"gd")
DEFINE_LANGUAGE_CODE (L"Gallegan", L"glg", L"gl")
DEFINE_LANGUAGE_CODE (L"Ganda", L"lug", L"lg")
DEFINE_LANGUAGE_CODE (L"Gayo", L"gay", NULL)
DEFINE_LANGUAGE_CODE (L"Gbaya", L"gba", NULL)
DEFINE_LANGUAGE_CODE (L"Geez", L"gez", NULL)
DEFINE_LANGUAGE_CODE (L"Georgian", L"geo", L"ka")
DEFINE_LANGUAGE_CODE (NULL, L"kat", L"ka")
DEFINE_LANGUAGE_CODE (L"German", L"ger", L"de")
DEFINE_LANGUAGE_CODE (NULL, L"deu", L"de")
DEFINE_LANGUAGE_CODE (L"German, Low; Saxon, Low; Low German; Low Saxon", L"nds", NULL)
DEFINE_LANGUAGE_CODE (L"German, Middle High (ca.1050-1500)", L"gmh", NULL)
DEFINE_LANGUAGE_CODE (L"German, Old High (ca.750-1050)", L"goh", NULL)
DEFINE_LANGUAGE_CODE (L"Germanic (Other)", L"gem", NULL)
DEFINE_LANGUAGE_CODE (L"Gikuyu; Kikuyu", L"kik", L"ki")
DEFINE_LANGUAGE_CODE (L"Gilbertese", L"gil", NULL)
DEFINE_LANGUAGE_CODE (L"Gondi", L"gon", NULL)
DEFINE_LANGUAGE_CODE (L"Gorontalo", L"gor", NULL)
DEFINE_LANGUAGE_CODE (L"Gothic", L"got", NULL)
DEFINE_LANGUAGE_CODE (L"Grebo", L"grb", NULL)
DEFINE_LANGUAGE_CODE (L"Greek, Ancient (to 1453)", L"grc", NULL)
DEFINE_LANGUAGE_CODE (L"Greek, Modern (1453-)", L"gre", L"el")
DEFINE_LANGUAGE_CODE (NULL, L"ell", L"el")
DEFINE_LANGUAGE_CODE (L"Greenlandic; Kalaallisut", L"kal", L"kl")
DEFINE_LANGUAGE_CODE (L"Guarani", L"grn", L"gn")
DEFINE_LANGUAGE_CODE (L"Gujarati", L"guj", L"gu")
DEFINE_LANGUAGE_CODE (L"Gwichin", L"gwi", NULL)
DEFINE_LANGUAGE_CODE (L"Haida", L"hai", NULL)
DEFINE_LANGUAGE_CODE (L"Hausa", L"hau", L"ha")
DEFINE_LANGUAGE_CODE (L"Hawaiian", L"haw", NULL)
DEFINE_LANGUAGE_CODE (L"Hebrew", L"heb", L"he")
DEFINE_LANGUAGE_CODE (L"Herero", L"her", L"hz")
DEFINE_LANGUAGE_CODE (L"Hiligaynon", L"hil", NULL)
DEFINE_LANGUAGE_CODE (L"Himachali", L"him", NULL)
DEFINE_LANGUAGE_CODE (L"Hindi", L"hin", L"hi")
DEFINE_LANGUAGE_CODE (L"Hiri Motu", L"hmo", L"ho")
DEFINE_LANGUAGE_CODE (L"Hittite", L"hit", NULL)
DEFINE_LANGUAGE_CODE (L"Hmong", L"hmn", NULL)
DEFINE_LANGUAGE_CODE (L"Hungarian", L"hun", L"hu")
DEFINE_LANGUAGE_CODE (L"Hupa", L"hup", NULL)
DEFINE_LANGUAGE_CODE (L"Iban", L"iba", NULL)
DEFINE_LANGUAGE_CODE (L"Icelandic", L"ice", L"is")
DEFINE_LANGUAGE_CODE (NULL, L"isl", L"is")
DEFINE_LANGUAGE_CODE (L"Ido", L"ido", L"io")
DEFINE_LANGUAGE_CODE (L"Igbo", L"ibo", L"ig")
DEFINE_LANGUAGE_CODE (L"Ijo", L"ijo", NULL)
DEFINE_LANGUAGE_CODE (L"Iloko", L"ilo", NULL)
DEFINE_LANGUAGE_CODE (L"Inari Sami", L"smn", NULL)
DEFINE_LANGUAGE_CODE (L"Indic (Other)", L"inc", NULL)
DEFINE_LANGUAGE_CODE (L"Indo-European (Other)", L"ine", NULL)
DEFINE_LANGUAGE_CODE (L"Indonesian", L"ind", L"id")
DEFINE_LANGUAGE_CODE (L"Ingush", L"inh", NULL)
DEFINE_LANGUAGE_CODE (L"Interlingua (International Auxiliary Language Association)", L"ina", L"ia")
DEFINE_LANGUAGE_CODE (L"Interlingue", L"ile", L"ie")
DEFINE_LANGUAGE_CODE (L"Inuktitut", L"iku", L"iu")
DEFINE_LANGUAGE_CODE (L"Inupiaq", L"ipk", L"ik")
DEFINE_LANGUAGE_CODE (L"Iranian (Other)", L"ira", NULL)
DEFINE_LANGUAGE_CODE (L"Irish", L"gle", L"ga")
DEFINE_LANGUAGE_CODE (L"Irish, Middle (900-1200)", L"mga", NULL)
DEFINE_LANGUAGE_CODE (L"Irish, Old (to 900)", L"sga", NULL)
DEFINE_LANGUAGE_CODE (L"Iroquoian languages", L"iro", NULL)
DEFINE_LANGUAGE_CODE (L"Italian", L"ita", L"it")
DEFINE_LANGUAGE_CODE (L"Japanese", L"jpn", L"ja")
DEFINE_LANGUAGE_CODE (L"Javanese", L"jav", L"jv")
DEFINE_LANGUAGE_CODE (L"Judeo-Arabic", L"jrb", NULL)
DEFINE_LANGUAGE_CODE (L"Judeo-Persian", L"jpr", NULL)
DEFINE_LANGUAGE_CODE (L"Kabardian", L"kbd", NULL)
DEFINE_LANGUAGE_CODE (L"Kabyle", L"kab", NULL)
DEFINE_LANGUAGE_CODE (L"Kachin", L"kac", NULL)
DEFINE_LANGUAGE_CODE (L"Kalaallisut; Greenlandic", L"kal", L"kl")
DEFINE_LANGUAGE_CODE (L"Kamba", L"kam", NULL)
DEFINE_LANGUAGE_CODE (L"Kannada", L"kan", L"kn")
DEFINE_LANGUAGE_CODE (L"Kanuri", L"kau", L"kr")
DEFINE_LANGUAGE_CODE (L"Kara-Kalpak", L"kaa", NULL)
DEFINE_LANGUAGE_CODE (L"Karen", L"kar", NULL)
DEFINE_LANGUAGE_CODE (L"Kashmiri", L"kas", L"ks")
DEFINE_LANGUAGE_CODE (L"Kawi", L"kaw", NULL)
DEFINE_LANGUAGE_CODE (L"Kazakh", L"kaz", L"kk")
DEFINE_LANGUAGE_CODE (L"Khasi", L"kha", NULL)
DEFINE_LANGUAGE_CODE (L"Khmer", L"khm", L"km")
DEFINE_LANGUAGE_CODE (L"Khoisan (Other)", L"khi", NULL)
DEFINE_LANGUAGE_CODE (L"Khotanese", L"kho", NULL)
DEFINE_LANGUAGE_CODE (L"Kikuyu; Gikuyu", L"kik", L"ki")
DEFINE_LANGUAGE_CODE (L"Kimbundu", L"kmb", NULL)
DEFINE_LANGUAGE_CODE (L"Kinyarwanda", L"kin", L"rw")
DEFINE_LANGUAGE_CODE (L"Kirghiz", L"kir", L"ky")
DEFINE_LANGUAGE_CODE (L"Komi", L"kom", L"kv")
DEFINE_LANGUAGE_CODE (L"Kongo", L"kon", L"kg")
DEFINE_LANGUAGE_CODE (L"Konkani", L"kok", NULL)
DEFINE_LANGUAGE_CODE (L"Korean", L"kor", L"ko")
DEFINE_LANGUAGE_CODE (L"Kosraean", L"kos", NULL)
DEFINE_LANGUAGE_CODE (L"Kpelle", L"kpe", NULL)
DEFINE_LANGUAGE_CODE (L"Kru", L"kro", NULL)
DEFINE_LANGUAGE_CODE (L"Kuanyama; Kwanyama", L"kua", L"kj")
DEFINE_LANGUAGE_CODE (L"Kumyk", L"kum", NULL)
DEFINE_LANGUAGE_CODE (L"Kurdish", L"kur", L"ku")
DEFINE_LANGUAGE_CODE (L"Kurukh", L"kru", NULL)
DEFINE_LANGUAGE_CODE (L"Kutenai", L"kut", NULL)
DEFINE_LANGUAGE_CODE (L"Kwanyama, Kuanyama", L"kua", L"kj")
DEFINE_LANGUAGE_CODE (L"Ladino", L"lad", NULL)
DEFINE_LANGUAGE_CODE (L"Lahnda", L"lah", NULL)
DEFINE_LANGUAGE_CODE (L"Lamba", L"lam", NULL)
DEFINE_LANGUAGE_CODE (L"Lao", L"lao", L"lo")
DEFINE_LANGUAGE_CODE (L"Latin", L"lat", L"la")
DEFINE_LANGUAGE_CODE (L"Latvian", L"lav", L"lv")
DEFINE_LANGUAGE_CODE (L"Letzeburgesch; Luxembourgish", L"ltz", L"lb")
DEFINE_LANGUAGE_CODE (L"Lezghian", L"lez", NULL)
DEFINE_LANGUAGE_CODE (L"Limburgan; Limburger; Limburgish", L"lim", L"li")
DEFINE_LANGUAGE_CODE (L"Limburger; Limburgan; Limburgish;", L"lim", L"li")
DEFINE_LANGUAGE_CODE (L"Limburgish; Limburger; Limburgan", L"lim", L"li")
DEFINE_LANGUAGE_CODE (L"Lingala", L"lin", L"ln")
DEFINE_LANGUAGE_CODE (L"Lithuanian", L"lit", L"lt")
DEFINE_LANGUAGE_CODE (L"Low German; Low Saxon; German, Low; Saxon, Low", L"nds", NULL)
DEFINE_LANGUAGE_CODE (L"Low Saxon; Low German; Saxon, Low; German, Low", L"nds", NULL)
DEFINE_LANGUAGE_CODE (L"Lozi", L"loz", NULL)
DEFINE_LANGUAGE_CODE (L"Luba-Katanga", L"lub", L"lu")
DEFINE_LANGUAGE_CODE (L"Luba-Lulua", L"lua", NULL)
DEFINE_LANGUAGE_CODE (L"Luiseno", L"lui", NULL)
DEFINE_LANGUAGE_CODE (L"Lule Sami", L"smj", NULL)
DEFINE_LANGUAGE_CODE (L"Lunda", L"lun", NULL)
DEFINE_LANGUAGE_CODE (L"Luo (Kenya and Tanzania)", L"luo", NULL)
DEFINE_LANGUAGE_CODE (L"Lushai", L"lus", NULL)
DEFINE_LANGUAGE_CODE (L"Luxembourgish; Letzeburgesch", L"ltz", L"lb")
DEFINE_LANGUAGE_CODE (L"Macedonian", L"mac", L"mk")
DEFINE_LANGUAGE_CODE (NULL, L"mkd", L"mk")
DEFINE_LANGUAGE_CODE (L"Madurese", L"mad", NULL)
DEFINE_LANGUAGE_CODE (L"Magahi", L"mag", NULL)
DEFINE_LANGUAGE_CODE (L"Maithili", L"mai", NULL)
DEFINE_LANGUAGE_CODE (L"Makasar", L"mak", NULL)
DEFINE_LANGUAGE_CODE (L"Malagasy", L"mlg", L"mg")
DEFINE_LANGUAGE_CODE (L"Malay", L"may", L"ms")
DEFINE_LANGUAGE_CODE (NULL, L"msa", L"ms")
DEFINE_LANGUAGE_CODE (L"Malayalam", L"mal", L"ml")
DEFINE_LANGUAGE_CODE (L"Maltese", L"mlt", L"mt")
DEFINE_LANGUAGE_CODE (L"Manchu", L"mnc", NULL)
DEFINE_LANGUAGE_CODE (L"Mandar", L"mdr", NULL)
DEFINE_LANGUAGE_CODE (L"Mandingo", L"man", NULL)
DEFINE_LANGUAGE_CODE (L"Manipuri", L"mni", NULL)
DEFINE_LANGUAGE_CODE (L"Manobo languages", L"mno", NULL)
DEFINE_LANGUAGE_CODE (L"Manx", L"glv", L"gv")
DEFINE_LANGUAGE_CODE (L"Maori", L"mao", L"mi")
DEFINE_LANGUAGE_CODE (NULL, L"mri", L"mi")
DEFINE_LANGUAGE_CODE (L"Marathi", L"mar", L"mr")
DEFINE_LANGUAGE_CODE (L"Mari", L"chm", NULL)
DEFINE_LANGUAGE_CODE (L"Marshallese", L"mah", L"mh")
DEFINE_LANGUAGE_CODE (L"Marwari", L"mwr", NULL)
DEFINE_LANGUAGE_CODE (L"Masai", L"mas", NULL)
DEFINE_LANGUAGE_CODE (L"Mayan languages", L"myn", NULL)
DEFINE_LANGUAGE_CODE (L"Mende", L"men", NULL)
DEFINE_LANGUAGE_CODE (L"Micmac", L"mic", NULL)
DEFINE_LANGUAGE_CODE (L"Minangkabau", L"min", NULL)
DEFINE_LANGUAGE_CODE (L"Miscellaneous languages", L"mis", NULL)
DEFINE_LANGUAGE_CODE (L"Mohawk", L"moh", NULL)
DEFINE_LANGUAGE_CODE (L"Moldavian", L"mol", L"mo")
DEFINE_LANGUAGE_CODE (L"Mon-Khmer (Other)", L"mkh", NULL)
DEFINE_LANGUAGE_CODE (L"Mongo", L"lol", NULL)
DEFINE_LANGUAGE_CODE (L"Mongolian", L"mon", L"mn")
DEFINE_LANGUAGE_CODE (L"Mossi", L"mos", NULL)
DEFINE_LANGUAGE_CODE (L"Multiple languages", L"mul", NULL)
DEFINE_LANGUAGE_CODE (L"Munda languages", L"mun", NULL)
DEFINE_LANGUAGE_CODE (L"Nahuatl", L"nah", NULL)
DEFINE_LANGUAGE_CODE (L"Nauru", L"nau", L"na")
DEFINE_LANGUAGE_CODE (L"Navaho, Navajo", L"nav", L"nv")
DEFINE_LANGUAGE_CODE (L"Navajo; Navaho", L"nav", L"nv")
DEFINE_LANGUAGE_CODE (L"Ndebele, North", L"nde", L"nd")
DEFINE_LANGUAGE_CODE (L"Ndebele, South", L"nbl", L"nr")
DEFINE_LANGUAGE_CODE (L"Ndonga", L"ndo", L"ng")
DEFINE_LANGUAGE_CODE (L"Neapolitan", L"nap", NULL)
DEFINE_LANGUAGE_CODE (L"Nepali", L"nep", L"ne")
DEFINE_LANGUAGE_CODE (L"Newari", L"new", NULL)
DEFINE_LANGUAGE_CODE (L"Nias", L"nia", NULL)
DEFINE_LANGUAGE_CODE (L"Niger-Kordofanian (Other)", L"nic", NULL)
DEFINE_LANGUAGE_CODE (L"Nilo-Saharan (Other)", L"ssa", NULL)
DEFINE_LANGUAGE_CODE (L"Niuean", L"niu", NULL)
DEFINE_LANGUAGE_CODE (L"Norse, Old", L"non", NULL)
DEFINE_LANGUAGE_CODE (L"North American Indian (Other)", L"nai", NULL)
DEFINE_LANGUAGE_CODE (L"Northern Sami", L"sme", L"se")
DEFINE_LANGUAGE_CODE (L"North Ndebele", L"nde", L"nd")
DEFINE_LANGUAGE_CODE (L"Norwegian", L"nor", L"no")
DEFINE_LANGUAGE_CODE (L"Norwegian Bokml; Bokml, Norwegian", L"nob", L"nb")
DEFINE_LANGUAGE_CODE (L"Norwegian Nynorsk; Nynorsk, Norwegian", L"nno", L"nn")
DEFINE_LANGUAGE_CODE (L"Nubian languages", L"nub", NULL)
DEFINE_LANGUAGE_CODE (L"Nyamwezi", L"nym", NULL)
DEFINE_LANGUAGE_CODE (L"Nyanja; Chichewa; Chewa", L"nya", L"ny")
DEFINE_LANGUAGE_CODE (L"Nyankole", L"nyn", NULL)
DEFINE_LANGUAGE_CODE (L"Nynorsk, Norwegian; Norwegian Nynorsk", L"nno", L"nn")
DEFINE_LANGUAGE_CODE (L"Nyoro", L"nyo", NULL)
DEFINE_LANGUAGE_CODE (L"Nzima", L"nzi", NULL)
DEFINE_LANGUAGE_CODE (L"Occitan (post 1500); Provenal", L"oci", L"oc")
DEFINE_LANGUAGE_CODE (L"Ojibwa", L"oji", L"oj")
DEFINE_LANGUAGE_CODE (L"Old Bulgarian; Old Slavonic; Church Slavonic; Church Slavic; Old Church Slavonic", L"chu", L"cu")
DEFINE_LANGUAGE_CODE (L"Old Church Slavonic; Old Slavonic; Church Slavonic; Old Bulgarian; Church Slavic", L"chu", L"cu")
DEFINE_LANGUAGE_CODE (L"Old Slavonic; Church Slavonic; Old Bulgarian; Church Slavic; Old Church Slavonic", L"chu", L"cu")
DEFINE_LANGUAGE_CODE (L"Oriya", L"ori", L"or")
DEFINE_LANGUAGE_CODE (L"Oromo", L"orm", L"om")
DEFINE_LANGUAGE_CODE (L"Osage", L"osa", NULL)
DEFINE_LANGUAGE_CODE (L"Ossetian; Ossetic", L"oss", L"os")
DEFINE_LANGUAGE_CODE (L"Ossetic; Ossetian", L"oss", L"os")
DEFINE_LANGUAGE_CODE (L"Otomian languages", L"oto", NULL)
DEFINE_LANGUAGE_CODE (L"Pahlavi", L"pal", NULL)
DEFINE_LANGUAGE_CODE (L"Palauan", L"pau", NULL)
DEFINE_LANGUAGE_CODE (L"Pali", L"pli", L"pi")
DEFINE_LANGUAGE_CODE (L"Pampanga", L"pam", NULL)
DEFINE_LANGUAGE_CODE (L"Pangasinan", L"pag", NULL)
DEFINE_LANGUAGE_CODE (L"Panjabi", L"pan", L"pa")
DEFINE_LANGUAGE_CODE (L"Papiamento", L"pap", NULL)
DEFINE_LANGUAGE_CODE (L"Papuan (Other)", L"paa", NULL)
DEFINE_LANGUAGE_CODE (L"Persian", L"per", L"fa")
DEFINE_LANGUAGE_CODE (NULL, L"fas", L"fa")
DEFINE_LANGUAGE_CODE (L"Persian, Old (ca.600-400 B.C.)", L"peo", NULL)
DEFINE_LANGUAGE_CODE (L"Philippine (Other)", L"phi", NULL)
DEFINE_LANGUAGE_CODE (L"Phoenician", L"phn", NULL)
DEFINE_LANGUAGE_CODE (L"Pohnpeian", L"pon", NULL)
DEFINE_LANGUAGE_CODE (L"Polish", L"pol", L"pl")
DEFINE_LANGUAGE_CODE (L"Portuguese", L"por", L"pt")
DEFINE_LANGUAGE_CODE (L"Prakrit languages", L"pra", NULL)
DEFINE_LANGUAGE_CODE (L"Provenal; Occitan (post 1500)", L"oci", L"oc")
DEFINE_LANGUAGE_CODE (L"Provenal, Old (to 1500)", L"pro", NULL)
DEFINE_LANGUAGE_CODE (L"Pushto", L"pus", L"ps")
DEFINE_LANGUAGE_CODE (L"Quechua", L"que", L"qu")
DEFINE_LANGUAGE_CODE (L"Raeto-Romance", L"roh", L"rm")
DEFINE_LANGUAGE_CODE (L"Rajasthani", L"raj", NULL)
DEFINE_LANGUAGE_CODE (L"Rapanui", L"rap", NULL)
DEFINE_LANGUAGE_CODE (L"Rarotongan", L"rar", NULL)
DEFINE_LANGUAGE_CODE (L"Reserved for local use", L"qaa-qtz", NULL)
DEFINE_LANGUAGE_CODE (L"Romance (Other)", L"roa", NULL)
DEFINE_LANGUAGE_CODE (L"Romanian", L"rum", L"ro")
DEFINE_LANGUAGE_CODE (NULL, L"ron", L"ro")
DEFINE_LANGUAGE_CODE (L"Romany", L"rom", NULL)
DEFINE_LANGUAGE_CODE (L"Rundi", L"run", L"rn")
DEFINE_LANGUAGE_CODE (L"Russian", L"rus", L"ru")
DEFINE_LANGUAGE_CODE (L"Salishan languages", L"sal", NULL)
DEFINE_LANGUAGE_CODE (L"Samaritan Aramaic", L"sam", NULL)
DEFINE_LANGUAGE_CODE (L"Sami languages (Other)", L"smi", NULL)
DEFINE_LANGUAGE_CODE (L"Samoan", L"smo", L"sm")
DEFINE_LANGUAGE_CODE (L"Sandawe", L"sad", NULL)
DEFINE_LANGUAGE_CODE (L"Sango", L"sag", L"sg")
DEFINE_LANGUAGE_CODE (L"Sanskrit", L"san", L"sa")
DEFINE_LANGUAGE_CODE (L"Santali", L"sat", NULL)
DEFINE_LANGUAGE_CODE (L"Sardinian", L"srd", L"sc")
DEFINE_LANGUAGE_CODE (L"Sasak", L"sas", NULL)
DEFINE_LANGUAGE_CODE (L"Saxon, Low; German, Low; Low Saxon; Low German", L"nds", NULL)
DEFINE_LANGUAGE_CODE (L"Scots", L"sco", NULL)
DEFINE_LANGUAGE_CODE (L"Scottish Gaelic; Gaelic", L"gla", L"gd")
DEFINE_LANGUAGE_CODE (L"Selkup", L"sel", NULL)
DEFINE_LANGUAGE_CODE (L"Semitic (Other)", L"sem", NULL)
DEFINE_LANGUAGE_CODE (L"Serbian", L"scc", L"sr")
DEFINE_LANGUAGE_CODE (NULL, L"srp", L"sr")
DEFINE_LANGUAGE_CODE (L"Serer", L"srr", NULL)
DEFINE_LANGUAGE_CODE (L"Shan", L"shn", NULL)
DEFINE_LANGUAGE_CODE (L"Shona", L"sna", L"sn")
DEFINE_LANGUAGE_CODE (L"Sichuan Yi", L"iii", L"ii")
DEFINE_LANGUAGE_CODE (L"Sidamo", L"sid", NULL)
DEFINE_LANGUAGE_CODE (L"Sign languages", L"sgn", NULL)
DEFINE_LANGUAGE_CODE (L"Siksika", L"bla", NULL)
DEFINE_LANGUAGE_CODE (L"Sindhi", L"snd", L"sd")
DEFINE_LANGUAGE_CODE (L"Sinhalese", L"sin", L"si")
DEFINE_LANGUAGE_CODE (L"Sino-Tibetan (Other)", L"sit", NULL)
DEFINE_LANGUAGE_CODE (L"Siouan languages", L"sio", NULL)
DEFINE_LANGUAGE_CODE (L"Skolt Sami", L"sms", NULL)
DEFINE_LANGUAGE_CODE (L"Slave (Athapascan)", L"den", NULL)
DEFINE_LANGUAGE_CODE (L"Slavic (Other)", L"sla", NULL)
DEFINE_LANGUAGE_CODE (L"Slovak", L"slo", L"sk")
DEFINE_LANGUAGE_CODE (NULL, L"slk", L"sk")
DEFINE_LANGUAGE_CODE (L"Slovenian", L"slv", L"sl")
DEFINE_LANGUAGE_CODE (L"Sogdian", L"sog", NULL)
DEFINE_LANGUAGE_CODE (L"Somali", L"som", L"so")
DEFINE_LANGUAGE_CODE (L"Songhai", L"son", NULL)
DEFINE_LANGUAGE_CODE (L"Soninke", L"snk", NULL)
DEFINE_LANGUAGE_CODE (L"Sorbian languages", L"wen", NULL)
DEFINE_LANGUAGE_CODE (L"Sotho, Northern", L"nso", NULL)
DEFINE_LANGUAGE_CODE (L"Sotho, Southern", L"sot", L"st")
DEFINE_LANGUAGE_CODE (L"South American Indian (Other)", L"sai", NULL)
DEFINE_LANGUAGE_CODE (L"Southern Sami", L"sma", NULL)
DEFINE_LANGUAGE_CODE (L"South Ndebele", L"nbl", L"nr")
DEFINE_LANGUAGE_CODE (L"Spanish; Castilian", L"spa", L"es")
DEFINE_LANGUAGE_CODE (L"Sukuma", L"suk", NULL)
DEFINE_LANGUAGE_CODE (L"Sumerian", L"sux", NULL)
DEFINE_LANGUAGE_CODE (L"Sundanese", L"sun", L"su")
DEFINE_LANGUAGE_CODE (L"Susu", L"sus", NULL)
DEFINE_LANGUAGE_CODE (L"Swahili", L"swa", L"sw")
DEFINE_LANGUAGE_CODE (L"Swati", L"ssw", L"ss")
DEFINE_LANGUAGE_CODE (L"Swedish", L"swe", L"sv")
DEFINE_LANGUAGE_CODE (L"Syriac", L"syr", NULL)
DEFINE_LANGUAGE_CODE (L"Tagalog", L"tgl", L"tl")
DEFINE_LANGUAGE_CODE (L"Tahitian", L"tah", L"ty")
DEFINE_LANGUAGE_CODE (L"Tai (Other)", L"tai", NULL)
DEFINE_LANGUAGE_CODE (L"Tajik", L"tgk", L"tg")
DEFINE_LANGUAGE_CODE (L"Tamashek", L"tmh", NULL)
DEFINE_LANGUAGE_CODE (L"Tamil", L"tam", L"ta")
DEFINE_LANGUAGE_CODE (L"Tatar", L"tat", L"tt")
DEFINE_LANGUAGE_CODE (L"Telugu", L"tel", L"te")
DEFINE_LANGUAGE_CODE (L"Tereno", L"ter", NULL)
DEFINE_LANGUAGE_CODE (L"Tetum", L"tet", NULL)
DEFINE_LANGUAGE_CODE (L"Thai", L"tha", L"th")
DEFINE_LANGUAGE_CODE (L"Tibetan", L"tib", L"bo")
DEFINE_LANGUAGE_CODE (NULL, L"bod", L"bo")
DEFINE_LANGUAGE_CODE (L"Tigre", L"tig", NULL)
DEFINE_LANGUAGE_CODE (L"Tigrinya", L"tir", L"ti")
DEFINE_LANGUAGE_CODE (L"Timne", L"tem", NULL)
DEFINE_LANGUAGE_CODE (L"Tiv", L"tiv", NULL)
DEFINE_LANGUAGE_CODE (L"Tlingit", L"tli", NULL)
DEFINE_LANGUAGE_CODE (L"Tok Pisin", L"tpi", NULL)
DEFINE_LANGUAGE_CODE (L"Tokelau", L"tkl", NULL)
DEFINE_LANGUAGE_CODE (L"Tonga (Nyasa)", L"tog", NULL)
DEFINE_LANGUAGE_CODE (L"Tonga (Tonga Islands)", L"ton", L"to")
DEFINE_LANGUAGE_CODE (L"Tsimshian", L"tsi", NULL)
DEFINE_LANGUAGE_CODE (L"Tsonga", L"tso", L"ts")
DEFINE_LANGUAGE_CODE (L"Tswana", L"tsn", L"tn")
DEFINE_LANGUAGE_CODE (L"Tumbuka", L"tum", NULL)
DEFINE_LANGUAGE_CODE (L"Tupi languages", L"tup", NULL)
DEFINE_LANGUAGE_CODE (L"Turkish", L"tur", L"tr")
DEFINE_LANGUAGE_CODE (L"Turkish, Ottoman (1500-1928)", L"ota", NULL)
DEFINE_LANGUAGE_CODE (L"Turkmen", L"tuk", L"tk")
DEFINE_LANGUAGE_CODE (L"Tuvalu", L"tvl", NULL)
DEFINE_LANGUAGE_CODE (L"Tuvinian", L"tyv", NULL)
DEFINE_LANGUAGE_CODE (L"Twi", L"twi", L"tw")
DEFINE_LANGUAGE_CODE (L"Ugaritic", L"uga", NULL)
DEFINE_LANGUAGE_CODE (L"Uighur", L"uig", L"ug")
DEFINE_LANGUAGE_CODE (L"Ukrainian", L"ukr", L"uk")
DEFINE_LANGUAGE_CODE (L"Umbundu", L"umb", NULL)
DEFINE_LANGUAGE_CODE (L"Undetermined", L"und", NULL)
DEFINE_LANGUAGE_CODE (L"Urdu", L"urd", L"ur")
DEFINE_LANGUAGE_CODE (L"Uzbek", L"uzb", L"uz")
DEFINE_LANGUAGE_CODE (L"Vai", L"vai", NULL)
DEFINE_LANGUAGE_CODE (L"Venda", L"ven", L"ve")
DEFINE_LANGUAGE_CODE (L"Vietnamese", L"vie", L"vi")
DEFINE_LANGUAGE_CODE (L"Volapk", L"vol", L"vo")
DEFINE_LANGUAGE_CODE (L"Votic", L"vot", NULL)
DEFINE_LANGUAGE_CODE (L"Wakashan languages", L"wak", NULL)
DEFINE_LANGUAGE_CODE (L"Walamo", L"wal", NULL)
DEFINE_LANGUAGE_CODE (L"Walloon", L"wln", L"wa")
DEFINE_LANGUAGE_CODE (L"Waray", L"war", NULL)
DEFINE_LANGUAGE_CODE (L"Washo", L"was", NULL)
DEFINE_LANGUAGE_CODE (L"Welsh", L"wel", L"cy")
DEFINE_LANGUAGE_CODE (NULL, L"cym", L"cy")
DEFINE_LANGUAGE_CODE (L"Wolof", L"wol", L"wo")
DEFINE_LANGUAGE_CODE (L"Xhosa", L"xho", L"xh")
DEFINE_LANGUAGE_CODE (L"Yakut", L"sah", NULL)
DEFINE_LANGUAGE_CODE (L"Yao", L"yao", NULL)
DEFINE_LANGUAGE_CODE (L"Yapese", L"yap", NULL)
DEFINE_LANGUAGE_CODE (L"Yiddish", L"yid", L"yi")
DEFINE_LANGUAGE_CODE (L"Yoruba", L"yor", L"yo")
DEFINE_LANGUAGE_CODE (L"Yupik languages", L"ypk", NULL)
DEFINE_LANGUAGE_CODE (L"Zande", L"znd", NULL)
DEFINE_LANGUAGE_CODE (L"Zapotec", L"zap", NULL)
DEFINE_LANGUAGE_CODE (L"Zenaga", L"zen", NULL)
DEFINE_LANGUAGE_CODE (L"Zhuang; Chuang", L"zha", L"za")
DEFINE_LANGUAGE_CODE (L"Zulu", L"zul", L"zu")
DEFINE_LANGUAGE_CODE (L"Zuni", L"zun", NULL)
